Bug 1123545 - AAA - the format of profile\user is not supported by REST-API anymore
Summary: AAA - the format of profile\user is not supported by REST-API anymore
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On:
Blocks: oVirt-AAA-rewrite
TreeView+ depends on / blocked
 
Reported: 2014-07-26 04:26 UTC by Yair Zaslavsky
Modified: 2016-02-10 19:34 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:38:46 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30812 master MERGED restapi : the format of profile\user is not supported by REST-API Never
oVirt gerrit 30830 ovirt-engine-3.5 MERGED restapi : the format of profile\user is not supported by REST-API Never

Description Yair Zaslavsky 2014-07-26 04:26:40 UTC
Description of problem:

The specified format is not supported anymore.
For example -


curl -v -k -X GET -H "Accept: application/xml" -H "Content-Type:
application/xml" -u example.com\\portaluser4
 https://mymachine:443/ovirt-engine/api


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Barak 2014-07-27 11:37:08 UTC
Alon - I assume it is on purpose ?

Comment 2 Alon Bar-Lev 2014-07-27 11:40:19 UTC
(In reply to Barak from comment #1)
> Alon - I assume it is on purpose ?

no, for restapi war the profile\user should be supported for backward compatibility, there is existing code that does exactly that, if it is not working we should fix.

Comment 3 Sandro Bonazzola 2014-10-17 12:38:46 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.